## meep-mpi-default 1.23.0

=== debian/changelog ===
meep-mpi-default (1.23.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jul 2022 23:14:14 +0200

meep-mpi-default (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump soname from 27 to 28

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Jul 2022 19:14:09 +0000
