## meep-mpi-default 1.24.0

=== debian/changelog ===
meep-mpi-default (1.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Sep 2022 10:29:10 +0200
