=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default28
+Package: libmeep-mpi-default29
 Section: libs
 Architecture: any
 Conflicts: libmeep-mpi-default6
@@ -78,6 +78,7 @@
 	, libmeep-mpi-default22
 	, libmeep-mpi-default23
 	, libmeep-mpi-default27
+	, libmeep-mpi-default28
 	, libmeep-openmpi6
 	, libmeep-openmpi7
 	, libmeep-openmpi8
@@ -88,6 +89,7 @@
 	, libmeep-openmpi23
 	, libmeep-openmpi27
 	, libmeep-openmpi28
+	, libmeep-openmpi29
         , libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -115,6 +117,7 @@
 	, libmeep23
 	, libmeep27
 	, libmeep28
+	, libmeep29
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
@@ -151,7 +154,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default28 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default29 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -186,7 +189,7 @@
 Package: python3-meep-mpi-default
 Section: python
 Architecture: any
-Depends: libmeep-mpi-default28 (= ${binary:Version})
+Depends: libmeep-mpi-default29 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
