## meep-mpi-default 1.25.0

=== debian/changelog ===
meep-mpi-default (1.25.0-3) unstable; urgency=medium

  * debian/control: add python3-setuptools as dependency
  * debian/control: add Rules-Requires-Root: no
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: add Testsuite: autopkgtest-pkg-python
                    (maybe Closes: #1035170)
  * add patch python-distutils.patch
    (Closes: #1074740)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Jul 2024 22:49:17 +0200

meep-mpi-default (1.25.0-2) unstable; urgency=medium

  * debian/control: also add Conflicts: for python3 packages
                    (Closes: #1034954)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 May 2023 22:49:17 +0200
