=== debian/control ===
--- 
+++ 
@@ -23,10 +23,13 @@
         , python3-h5py
 	, mpi-default-bin
 	, libgdsii-dev
-Standards-Version: 4.6.1
+	, python3-setuptools
+Standards-Version: 4.7.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-mpi-default
 Vcs-Git: https://salsa.debian.org/alteholz/meep-mpi-default.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: meep-mpi-default
 Architecture: any
@@ -66,7 +69,7 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default29
+Package: libmeep-mpi-default30
 Section: libs
 Architecture: any
 Conflicts: libmeep-mpi-default6
@@ -79,6 +82,7 @@
 	, libmeep-mpi-default23
 	, libmeep-mpi-default27
 	, libmeep-mpi-default28
+	, libmeep-mpi-default29
 	, libmeep-openmpi6
 	, libmeep-openmpi7
 	, libmeep-openmpi8
@@ -90,6 +94,7 @@
 	, libmeep-openmpi27
 	, libmeep-openmpi28
 	, libmeep-openmpi29
+	, libmeep-openmpi30
         , libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -118,6 +123,7 @@
 	, libmeep27
 	, libmeep28
 	, libmeep29
+	, libmeep30
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
@@ -154,7 +160,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default29 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default30 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -189,11 +195,12 @@
 Package: python3-meep-mpi-default
 Section: python
 Architecture: any
-Depends: libmeep-mpi-default29 (= ${binary:Version})
+Depends: libmeep-mpi-default30 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
         , python3
+Conflicts: python3-meep-openmpi, python3-meep
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
