## meep-mpi-default 1.29.0

=== debian/changelog ===
meep-mpi-default (1.29.0-2) unstable; urgency=medium

  * debian/control: add forgotten Conflict (Closes: #1102734)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Apr 2025 18:42:08 +0200

meep-mpi-default (1.29.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: allow build only on 64 bit architectures
  * debian/rules: add call to dh_numpy3

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 02 Mar 2025 10:26:17 +0100

meep-mpi-default (1.25.0-6) unstable; urgency=medium

  * really add debian/tests/autopkgtest-pkg-python.conf

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Sep 2024 18:49:17 +0200

meep-mpi-default (1.25.0-5) unstable; urgency=medium

  * add debian/tests/autopkgtest-pkg-python.conf
    (Thanks a lot to Adrian Bunk for his suggestion)
    (Closes: #1077906)
  * debian/control: Mark packages Multi-Arch: same (Closes: #1078913)
  * debian/control: update Description (Closes: #1077905)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Aug 2024 18:49:17 +0200

meep-mpi-default (1.25.0-4) unstable; urgency=medium

  * debian/control: add dependency python3-matplotlib
  * add debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Aug 2024 18:49:17 +0200
