=== debian/rules ===
--- 
+++ 
@@ -81,3 +81,7 @@
 #	make check; \
 #	cat tests/test-suite.log
 endif
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_numpy3
