=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%meep-$1.tar.gz%" \
    https://github.com/stevengj/meep/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
